Support » Plugin: Simple Membership » Can Simple Membership be used with Divi?

  • I am trying to use the Simple Membership plugin with Divi, but when I protect a page the visual builder no longer loads.

    I have seen some issues with Divi cropping up, but I am unclear as to the extent of the issues.

    Is it actually possible to use the plugin with the current version of Divi?

    Any updates or pointers on how to successfully protect content while using Divi would be greatly appreciated.

    Thank you!

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Support mbrsolution

    (@mbrsolution)

    Hi,

    We offer the following solution which works with Divi Builder. So most protection will work fine.

    https://simple-membership-plugin.com/full-page-protection-addon-simple-membership/

    Let me know if the above helps you.

    Thank you

    Thread Starter Frank.Prendergast

    (@frankprendergast)

    Apologies for the delay replying, the email notification must have gone to my spam folder or something.

    Thank you for replying, but I’m still confused about getting the plugin working with Divi.

    Since posting originally I have identified where my main issue is. Here’s what’s currently happening.

    Without the add-on above, when I protect pages, everything works EXCEPT I can’t access the Divi Builder to edit pages.

    I can turn off protection and edit, and then turn it on again.

    Here is that in action in a Youtube video.

    If I add the add-on above, I still can’t edit in Divi because I get the blank restricted page when I try to edit.

    The way the Divi Visual Builder works, it appears to be conflicting with how the content is protected.

    Do you have any further advice on how to use the add-on above and still be able to edit pages?

    Plugin Support mbrsolution

    (@mbrsolution)

    Hi,

    I understand your situation and problem. However we really don’t support Divi builder except with the above mentioned addon. You can read more about this in the following forum post from one of the developers.

    https://wordpress.org/support/topic/partial-or-section-protection-in-divi-theme-or-builder/#post-13973260

    Thank you

    This is because you are using the visual editor / front-end. If you use the classic editor you don’t get this message.

    In your WordPress dashboard Go to Divi > Theme Options.
    Go to the tab for Builder > Advanced.
    Enable the classic editor.

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.